## dcraw 8.9.8-3

=== Makefile ===
BIN = $(DESTDIR)/usr/bin

all: dcraw.c
	gcc -o dcraw -O4 dcraw.c -lm -DNO_JPEG -DNO_LCMS
install: 
	install -d $(BIN)
	install ./dcraw $(BIN)
clean:
	rm -f dcraw

## dcraw 8.9.8-1

=== debian/changelog ===
dcraw (8.9.8-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gervasio Varela <gervasio@picandocodigo.com>  Mon, 12 Oct 2009 00:26:39 +0200

=== debian/control ===
Source: dcraw
Section: user/graphics
Priority: extra
Maintainer: Gervasio Varela <gervasio@picandocodigo.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: dcraw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dcraw is a command line program which is able to read numerous raw image formats, typically produced by high-end digital cameras. dcraw converts these images into the standard PPM and TIFF image formats.
 dcraw is an open source command line computer program which is able to read numerous raw image formats, typically produced by high-end digital cameras. dcraw converts these images into the standard PPM and TIFF image formats. This conversion is sometimes referred to as developing a raw image (by analogy with the process of film development) since it renders raw image sensor data (a "digital negative") into a viewable form.

## dcraw 8.9.8-2

=== debian/changelog ===
dcraw (8.9.8-2) stable; urgency=low

  * Correction on the package description fields

 -- Gervasio Varela <gervasio@picandocodigo.com>  Wed, 21 Oct 2009 21:34:36 +0200

dcraw (8.9.8-1) stable; urgency=low

  * Initial release

 -- Gervasio Varela <gervasio@picandocodigo.com>  Mon, 12 Oct 2009 00:26:39 +0200

=== debian/control ===
Source: dcraw
Section: user/graphics
Priority: extra
Maintainer: Gervasio Varela <gervasio@picandocodigo.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: dcraw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dcraw is a command line program which is able to read numerous raw image formats\n produced by digital cameras. \ndcraw converts these images into the standard PPM and TIFF image formats.
 This conversion is sometimes referred to as developing a raw image (by analogy with the process of film development) since it renders raw image sensor data (a "digital negative") into a viewable form.

## dcraw 8.9.8-3

=== debian/changelog ===
dcraw (8.9.8-3) stable; urgency=low

  * Another correction on the package description fields 

 -- Gervasio Varela <gervasio@picandocodigo.com>  Fri, 23 Oct 2009 00:11:15 +0200

=== debian/control ===
Source: dcraw
Section: user/graphics
Priority: extra
Maintainer: Gervasio Varela <gervasio@picandocodigo.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: dcraw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a command line pogram to decode RAW image formats from digital cameras
 'dcraw' is a command line program which is able to read numerous 
 raw image formats produced by digital cameras. dcraw converts 
 these images into the standard PPM and TIFF image formats.
 .
 The conversion is sometimes referred to as developing a raw image 
 (by analogy with the process of film development) since it 
 renders raw image sensor data (a "digital negative") into a 
 viewable form. 
 .
 dcraw is also able to extract thumbnails from a raw image 
 in JPEG format as well as information about the image 
 (camera model, shutter speed, etc.).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/dcraw.sgml > dcraw.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dcraw.
	$(MAKE) DESTDIR=$(CURDIR)/debian/dcraw install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dcraw 9.19

=== debian/changelog ===
dcraw (9.19-1.1ubuntu1) saucy; urgency=low

  * Adjust autotools patch to work with ld --as-needed
    - update debian/patches/add_autotools.diff 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 21 Jul 2013 02:31:26 -0500

dcraw (9.19-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #617543)
  * Use Autoconf for the build system
  * Clean up debian/rules
  * depend on debhelper >= 9, to fix a lintian warning
  * Switch to 3.0 (quilt); all previous patches
    are in a single patch
  * Convert copyright file to DEB-5 format
  * Increase debian/format to '9', no changes
  * Enable hardening compiler flags
  * Properly escape 'minus' signs in man page dcfujiturn.1
  * Remove compiler flag -include netinet/in.h from fuji_green.c.
    Apparently it is not needed.
  * Update to standards version 3.9.4: no changes
  * Add targets build-arch and build-indep. They are not actually
    needed, and hence only forward to build-stamp
  * debian/control: remove Priority field for the binary package,
    it is inherited from the source package
  * Build-depend on libjasper-dev
  * Move getsource script from orig.tar.gz into debian directory,
     because it is not from upstream
  * Fix code in getsource that parses upstream version number
  * Remove example file 'badpixels'
  * Updated README.Debian

 -- Oliver Sander <sander@igpm.rwth-aachen.de>  Sat, 20 Jul 2013 18:35:51 +0200

dcraw (8.99-1) unstable; urgency=low

  * New upstream version. (Closes: #506705, #523789, #519604)

 -- Steve King <debian@invux.com>  Fri, 12 Feb 2010 14:29:24 +0000

dcraw (8.86-1) unstable; urgency=low

  * New upstream version. (Closes: #489931)
  * Remove .LO lines from man pages
  * Added Homepage reference to source stanza

 -- Steve King <debian@invux.com>  Fri, 25 Jul 2008 09:58:25 +0100

dcraw (8.80-1) unstable; urgency=low

  * Modified Makefile: -O4 instead of -03
  * Modified Makefile: removed "-s" flag from $(CC) lines
  * Closes: #411920
  * Closes: #436707
  * Now distributed under a different license
  * Closes: #431883
  * Closes: #424663
  * New upstream version

 -- Steve King <debian@invux.com>  Wed, 14 Nov 2007 10:01:57 +0000

dcraw (8.39-1) unstable; urgency=low

  * New upstream version
  * Maintainer email change

 -- Steve King <debian@invux.com>  Sun, 24 Sep 2006 21:27:50 +0100

dcraw (8.38-1) unstable; urgency=low

  * New upstream version
  * Packaged .badpixels as examples/badpixels

 -- Steve King <debian@twobit.demon.co.uk>  Sun, 17 Sep 2006 20:34:11 +0100

dcraw (8.23-1) unstable; urgency=low

  * Removed substvars
  * Made compliant to debian-policy 3.7.2.1
  * Removed build dependancy on libc6-dev
  * Added fujiturn/fuji_green and clean_crw (Closes: #351364)
  * New upsream version (Closes: #368856)
  * Removed dcfixdates, dcwrap (no longer maintained upstream)

 -- Steve King <debian@twobit.demon.co.uk>  Mon, 26 Jun 2006 13:48:05 +0000

dcraw (7.94-1) unstable; urgency=low

  * New upstream version (Closes: #341370)
  * Checked against debian policy and debhelper and a few minor corrections made
  * Added build script "getsource" installed in examples (should be considered
  *  alpha quality)

 -- Steve King <debian@twobit.demon.co.uk>  Wed, 21 Dec 2005 16:01:39 +0000

dcraw (7.17-1) unstable; urgency=low

  *  New upstream version (Close: #306606)

 -- Steve King <debian@twobit.demon.co.uk>  Sat, 30 Apr 2005 19:17:37 +0100

dcraw (7.02-1) unstable; urgency=low

  * New upstream version
  * Fixes a typo in the Makefile which caused dcparse to be installed with an
    absolute path. (Closes: #300105)
  * Modified source priority to extra

 -- Steve King <debian@twobit.demon.co.uk>  Sat, 19 Mar 2005 09:26:21 +0000

dcraw (7.00-1) unstable; urgency=low

  * New upstream version
  * Support for automatically or manually rotating images (if your
  *  camera has support)
  * Support for Canon D20 (among others)
  * Closes: #274603
  * Modified synopsis to remove initial capital letter
  * Closes: #293383
  * Includes the fixdates and parse binaries for reading internal dates
  *  and retriving thumbnail images from certain files (experts only)
  * Added /usr/share/doc/dcraw/examples/dcrwap, from D. Coffin's web site

 -- Steve King <debian@twobit.demon.co.uk>  Thu, 10 Mar 2005 22:40:54 +0000

dcraw (5.88-1) unstable; urgency=low

  * New upstream version
  * Closes: #241165: Produces wrong color in output file
  * Closes: #258298: Please package new version

 -- Steve King <debian@twobit.demon.co.uk>  Fri,  6 Aug 2004 20:52:50 +0100

dcraw (5.73-1) unstable; urgency=low

  * New upstream version

 -- Steve King <debian@twobit.demon.co.uk>  Sat, 17 Apr 2004 09:46:51 +0100

dcraw (5.71-1) unstable; urgency=low

  * New upstream version

 -- Steve King <debian@twobit.demon.co.uk>  Tue,  6 Apr 2004 19:55:33 +0100

dcraw (5.53-1) unstable; urgency=low

  * New upstream version:
  * New Camera Support: Pentax Optio S4,
  *  Nikon D70, Minolta DiMAGE A2, and Olympus C8080WZ
  * Significant speed improvements (Uses about 70% of cpu time compared
  *  with 5.43-1 on my data)
  * Native support for cameras using lossless jpeg
  *  (Avoids licensing problems with 3rd party lossless jpeg support)

 -- Steve King <debian@twobit.demon.co.uk>  Sun, 22 Feb 2004 08:02:24 +0000

dcraw (5.43-1) unstable; urgency=low

  * New upstream version (support for Sony DSC-F828)

 -- Steve King <debian@twobit.demon.co.uk>  Sat, 10 Jan 2004 14:25:19 +0000

dcraw (5.18-1) unstable; urgency=low

  * New upstream version (support for Phase One medium format digital backs)
  * Changed Makefile to -O3 for slightly faster operation
  * Patch for Segfault on 64bit architectures

 -- Steve King <debian@twobit.demon.co.uk>  Fri, 21 Nov 2003 14:35:04 +0000

dcraw (5.08-1) unstable; urgency=low

  * New upstream version

 -- Steve King <debian@twobit.demon.co.uk>  Wed, 15 Oct 2003 14:40:25 +0100

dcraw (5.05-1) unstable; urgency=low

  * New upstream version



=== debian/control ===
Source: dcraw
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve King <debian@invux.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, libjpeg-dev, liblcms1-dev, libjasper-dev
Standards-Version: 3.9.4
Homepage: http://www.cybercom.net/~dcoffin/dcraw/

Package: dcraw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gphoto2, netpbm
Description: decode raw digital camera images
 This utility converts the native (RAW), format of various digital
 cameras into netpbm portable pixmap (.ppm) image.  Supports the
 following models: Canon, Kodak, Olympus, Nikon, Fuji, Minolta and
 Sigma (see http://www.cybercom.net/~dcoffin/dcraw/ for full list)
 Note: This utility does not read directly from the cameras, only
 the files after they have been downloaded, use gphoto2 for that.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with autoreconf --parallel

## dcraw 9.21

=== debian/changelog ===
dcraw (9.21-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 19 Jun 2014 07:52:40 +0200

dcraw (9.21-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #743597
  * New upstream has lcms2 support, update add_autotools.diff and b-d to
    use it. Closes: #743598    LP: #885324
  * Sync from Ubuntu: Adjust autotools patch to work with ld --as-needed.
    (Thanks, Micah Gersten) Closes: #717471

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Jun 2014 18:35:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: dcraw
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve King <debian@invux.com>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libjpeg-dev, liblcms1-dev, libjasper-dev
+Maintainer: Steve King <debian@invux.com>
+Build-Depends: debhelper (>= 9), dh-autoreconf, libjpeg-dev, liblcms2-dev, libjasper-dev
 Standards-Version: 3.9.4
 Homepage: http://www.cybercom.net/~dcoffin/dcraw/

## dcraw 9.27

=== debian/changelog ===
dcraw (9.27-1ubuntu1) yakkety; urgency=medium

  * Fix build failure by passing -Wl,--no-as-needed -llcms2 (LP: #1611001)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 26 Aug 2016 00:32:07 -0400

dcraw (9.27-1) unstable; urgency=medium

  [ Tobias Frost ]
  * dccleancrw: Patch to bail out if file cannot be opened. Closes: #715777

  [ Filip Hroch ]
  * New upstream version.
  * Removed dependency on Jasper. Closes: #818195
  * Improved autotools control files.
  * Updated (due git capabilities) getsource script.
  * Integrated CI test suite.

 -- Filip Hroch <hroch@physics.muni.cz>  Sun, 29 May 2016 19:02:56 +0200

dcraw (9.26-1) unstable; urgency=medium

  * QA upload.
  * Setting maintainer to QA.
  * New upstream version. Closes: #754388, #785019
  * New upstream version fixes CVE-2015-3885.
  * Refesh patch remove_LO_line_from_manpage.diff
  * Update d/copyright and add missing licenses. Closes: #634924
  * Bump SV to 3.9.8 -- no changes required.
  * Created git repository on collab-maint.
  * Include NMU changelogs. Closes: #750858
  * Change package priority to optional. Closes: #819652
  * Fix typo in manpage dcparse.1

 -- Tobias Frost <tobi@debian.org>  Sat, 30 Apr 2016 23:26:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: dcraw
 Section: graphics
-Priority: extra
-Maintainer: Steve King <debian@invux.com>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libjpeg-dev, liblcms2-dev, libjasper-dev
-Standards-Version: 3.9.4
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Filip Hroch <hroch@physics.muni.cz>
+Build-Depends: debhelper (>= 9), dh-autoreconf, libjpeg-dev, liblcms2-dev
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dcraw.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/dcraw.git
 Homepage: http://www.cybercom.net/~dcoffin/dcraw/
 
 Package: dcraw
@@ -17,4 +21,3 @@
  Sigma (see http://www.cybercom.net/~dcoffin/dcraw/ for full list)
  Note: This utility does not read directly from the cameras, only
  the files after they have been downloaded, use gphoto2 for that.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -llcms2 

%:
	dh $@  --with autoreconf --parallel

## dcraw 9.28

=== debian/changelog ===
dcraw (9.28-8) unstable; urgency=low

  * Bugfix related to unsigned int (Closes: #1087911)
  * Updated to the latest policy, copyright, and removed lintian for Optio.

 -- Filip Hroch <hroch@physics.muni.cz>  Mon, 03 Mar 2025 23:01:29 +0100

dcraw (9.28-7) unstable; urgency=low

  * Added missing feature macro
  * Reverted standards version.

 -- Filip Hroch <hroch@physics.muni.cz>  Tue, 11 Jun 2024 10:13:26 +0200

dcraw (9.28-6) unstable; urgency=low

  * Patch created to cast pointer returned by memmem() to (char *).
    Building has failed under alpha architecture.
  * Non-maintainer upload patch 9.28-5.1 included into VCS.
  * Standards version increased.

 -- Filip Hroch <hroch@physics.muni.cz>  Thu, 06 Jun 2024 00:08:35 +0200

dcraw (9.28-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/remove-duplicate-memmem.patch: created to avoid a FTBFS
    caused by a redundant duplicate implementation of memmem(). Thanks to
    Steve Langasek <steve.langasek@canonical.com>. (Closes: #1069909)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 May 2024 12:18:40 -0300

dcraw (9.28-5) unstable; urgency=low

  * Added missing headers for Fuji cameras; Closes: #1066465

 -- Filip Hroch <hroch@physics.muni.cz>  Tue, 26 Mar 2024 10:42:04 +0100

dcraw (9.28-4) unstable; urgency=low

  * Added missing headers. Closes: #1066465
  * Updated packaging: standards version, copyright.

 -- Filip Hroch <hroch@physics.muni.cz>  Mon, 18 Mar 2024 21:44:46 +0100

dcraw (9.28-3) unstable; urgency=medium

  * Written wrappers of fread(),fwrite(),fseek() library functions which
    checks their return values. If an input/output failure is detected,
    dcraw immediately exits with non-zero status and prints a descriptive
    message. Closes: #478701, #914447, #914453, #914454, #914459, #984761
  * Updated links; upstream has been moved to a new site.
  * Updated packaging: evolving standards, added metadata, lintian.

 -- Filip Hroch <hroch@physics.muni.cz>  Sun, 21 Nov 2021 23:15:39 +0100

dcraw (9.28-2) unstable; urgency=low

  * Fixed: stack-based buffer overflow bug. Closes: #906529
  * Fixed: NULL dereference bug. Closes: #906530
  * Bugfixes has been reported to upstream author Mr. Dave Coffin.

 -- Filip Hroch <hroch@physics.muni.cz>  Thu, 23 Aug 2018 18:07:41 +0200

dcraw (9.28-1) unstable; urgency=low

  * New upstream version.
  * Updated to latest Debian standards.
  * Updated autotools patch.
  * Added lcms2 library into configure.ac (Ubuntu bug no.1611001).
  * Added hardening options to debian/rules.
  * Switch-on high level of optimisation as upstream author recommends.
  * Removed obsolete --with-autoreconf option in debian/rules.
  * Fixed the bug CVE-2013-1438: dcraw (multiple vulnerabilities) mostly
    in JPEG/TIFF write routines. The patch has been applied by hand
    to reflect latest upstream source code changes. Closes: #721232
  * Fixed Index overflow in smal_decode_segment() bug. I patched also
    by hand. No tests performed (no data available). Closes: #864168
  * Funny false warning: lintian reports "spelling-error-in-binary
    usr/bin/dcraw Optio Option". The character string is correct
    designating Pentax Optio cameras.

 -- Filip Hroch <hroch@physics.muni.cz>  Tue, 31 Jul 2018 11:13:05 +0200

=== debian/control ===
Source: dcraw
Section: graphics
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Filip Hroch <hroch@physics.muni.cz>
Build-Depends: debhelper-compat (= 13), libjpeg-dev, liblcms2-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.dechifro.org/dcraw/
Vcs-Git: https://salsa.debian.org/debian-astro-team/dcraw.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/dcraw

Package: dcraw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gphoto2, netpbm
Description: decode raw digital camera images
 This utility converts the native (RAW), format of various digital
 cameras into netpbm portable pixmap (.ppm) or TIFF images. Supports
 the following models: Canon, Kodak, Olympus, Nikon, Fuji, Minolta
 and Sigma (see https://www.dechifro.org/dcraw/ for full list)
 Note: This utility does not read directly from the cameras, only
 the files after they have been downloaded, use gphoto2 for that.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-O2

%:
	dh $@

=== debian/tests/control ===

Tests: check
Depends: netpbm, @
